diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/location/TdwgAreaTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/location/TdwgAreaTest.java
index 9120cfed9d..a67468d569 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/location/TdwgAreaTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/location/TdwgAreaTest.java
@@ -11,9 +11,7 @@ package eu.etaxonomy.cdm.model.location;
 
 import static org.junit.Assert.assertEquals;
 
-import java.lang.reflect.Field;
 import java.util.List;
-import java.util.Map;
 import java.util.Set;
 import java.util.TreeSet;
 import java.util.UUID;
@@ -32,7 +30,6 @@ import eu.etaxonomy.cdm.model.common.TermVocabulary;
 /**
  * @author a.mueller
  * @created 23.10.2008
- * @version 1.0
  */
 public class TdwgAreaTest {
 	@SuppressWarnings("unused")
@@ -56,61 +53,61 @@ public class TdwgAreaTest {
 // ************** TESTS *************************************************	
 
 	/**
-	 * Test method for {@link eu.etaxonomy.cdm.model.location.TdwgArea#getAreaByTdwgAbbreviation(java.lang.String)}.
+	 * Test method for {@link eu.etaxonomy.cdm.model.location.TdwgArea_Old#getAreaByTdwgAbbreviation(java.lang.String)}.
 	 */
 	@Test
 	public void testGetAreaByTdwgAbbreviation() {
 		Language.ENGLISH(); // to make sure Terms are already loaded
-		NamedArea area = TdwgArea.getAreaByTdwgAbbreviation("GER");
+		NamedArea area = getAreaByTdwgAbbreviation("GER");
 		Assert.assertEquals("Germany", area.getLabel(Language.ENGLISH()));
-		Assert.assertNull(TdwgArea.getAreaByTdwgAbbreviation("A1R"));
+		Assert.assertNull(getAreaByTdwgAbbreviation("A1R"));
 	}
 
 	/**
-	 * Test method for {@link eu.etaxonomy.cdm.model.location.TdwgArea#getAreaByTdwgLabel(java.lang.String)}.
+	 * Test method for {@link eu.etaxonomy.cdm.model.location.TdwgArea_Old#getAreaByTdwgLabel(java.lang.String)}.
 	 */
 	@Test
 	public void testGetAreaByTdwgLabel() {
-		Assert.assertEquals("Germany", TdwgArea.getAreaByTdwgLabel("Germany").getLabel(Language.ENGLISH()));
-		Assert.assertNull(TdwgArea.getAreaByTdwgLabel("A1R"));
+		Assert.assertEquals("Germany", getAreaByTdwgLabel("Germany").getLabel(Language.ENGLISH()));
+		Assert.assertNull(getAreaByTdwgLabel("A1R"));
 	}
 
 	/**
-	 * Test method for {@link eu.etaxonomy.cdm.model.location.TdwgArea#isTdwgAreaLabel(java.lang.String)}.
+	 * Test method for {@link eu.etaxonomy.cdm.model.location.TdwgArea_Old#isTdwgAreaLabel(java.lang.String)}.
 	 */
 	@Test
 	public void testIsTdwgAreaLabel() {
-		Assert.assertTrue(TdwgArea.isTdwgAreaLabel("Germany"));
-		Assert.assertFalse(TdwgArea.isTdwgAreaLabel("sf2fe"));
+		Assert.assertTrue(isTdwgAreaLabel("Germany"));
+		Assert.assertFalse(isTdwgAreaLabel("sf2fe"));
 	}
 
-	/**
-	 * Test method for {@link eu.etaxonomy.cdm.model.location.TdwgArea#addTdwgArea(eu.etaxonomy.cdm.model.location.NamedArea)}.
-	 */
-	@Test
-	public void testAddTdwgArea() {
-		String testAreaLabel = "TestArea";
-		Assert.assertFalse(TdwgArea.isTdwgAreaLabel(testAreaLabel));
-		NamedArea area = NamedArea.NewInstance("", testAreaLabel, "");
-		TdwgArea.addTdwgArea(area);
-		Field labelMapField = null;
-		try {
-			labelMapField = TdwgArea.class.getDeclaredField("labelMap");
-			labelMapField.setAccessible(true);
-			Object obj = labelMapField.get(null);
-			Map<String, UUID> map = (Map<String, UUID>)obj;
-			UUID uuid = map.get(testAreaLabel.toLowerCase());
-			Assert.assertEquals(area.getUuid(), uuid);
-		} catch (Exception e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
-	}
+//	/**
+//	 * Test method for {@link eu.etaxonomy.cdm.model.location.TdwgArea#addTdwgArea(eu.etaxonomy.cdm.model.location.NamedArea)}.
+//	 */
+//	@Test
+//	public void testAddTdwgArea() {
+//		String testAreaLabel = "TestArea";
+//		Assert.assertFalse(isTdwgAreaLabel(testAreaLabel));
+//		NamedArea area = NamedArea.NewInstance("", testAreaLabel, "");
+//		TdwgArea.addTdwgArea(area);
+//		Field labelMapField = null;
+//		try {
+//			labelMapField = TdwgArea.class.getDeclaredField("labelMap");
+//			labelMapField.setAccessible(true);
+//			Object obj = labelMapField.get(null);
+//			Map<String, UUID> map = (Map<String, UUID>)obj;
+//			UUID uuid = map.get(testAreaLabel.toLowerCase());
+//			Assert.assertEquals(area.getUuid(), uuid);
+//		} catch (Exception e) {
+//			// TODO Auto-generated catch block
+//			e.printStackTrace();
+//		}
+//	}
 	
 	@Test
 	public void testLoadingOfPartOfRelationships() {
-		NamedArea britain = TdwgArea.getAreaByTdwgAbbreviation("GRB");
-		NamedArea northernEurope = TdwgArea.getAreaByTdwgAbbreviation("10");
+		NamedArea britain = getAreaByTdwgAbbreviation("GRB");
+		NamedArea northernEurope = getAreaByTdwgAbbreviation("10");
 		assert britain != null : "NamedArea must exist";
 		assert northernEurope != null : "NamedArea must exist";
 		
@@ -120,8 +117,8 @@ public class TdwgAreaTest {
 	
 	@Test
 	public void testNamedAreaLevelAssignment() {
-		NamedArea britain = TdwgArea.getAreaByTdwgAbbreviation("GRB");
-		NamedArea northernEurope = TdwgArea.getAreaByTdwgAbbreviation("10");
+		NamedArea britain = getAreaByTdwgAbbreviation("GRB");
+		NamedArea northernEurope = getAreaByTdwgAbbreviation("10");
 		assert britain != null : "NamedArea must exist";
 		assert northernEurope != null : "NamedArea must exist";
 		
@@ -133,7 +130,7 @@ public class TdwgAreaTest {
 	public void testUtf8(){
 		DefaultTermInitializer initializer = new DefaultTermInitializer();
 		initializer.initialize();
-		NamedArea saoTome = TdwgArea.getTermByUuid(UUID.fromString("c64e07cc-0a58-44b3-ac91-c216d1b91c1f"));
+		NamedArea saoTome = NamedArea.getTdwgTermByUuid(UUID.fromString("c64e07cc-0a58-44b3-ac91-c216d1b91c1f"));
 		assertEquals("Utf8 error", "S\u00E3o Tom\u00E9", saoTome.getLabel());
 		
 	}
@@ -143,12 +140,12 @@ public class TdwgAreaTest {
 	public void testCompare(){
 		//test compare method for set functionality. TreeSet is used by OrderedTermVocabulary therefore
 		//this needs to work correctly
-		TermVocabulary voc = TdwgArea.getAreaByTdwgAbbreviation("1").getVocabulary();
+		TermVocabulary voc = getAreaByTdwgAbbreviation("1").getVocabulary();
 		
-		Set<TdwgArea> set = new TreeSet<TdwgArea>();
-		TdwgArea area3 = new TdwgArea();
+		Set<NamedArea> set = new TreeSet<NamedArea>();
+		NamedArea area3 = new NamedArea();
 		area3.addRepresentation(Representation.NewInstance("Spain", "Spain", "SPA", Language.DEFAULT()));
-		TdwgArea area4 = new TdwgArea();
+		NamedArea area4 = new NamedArea();
 		area4.addRepresentation(Representation.NewInstance("Spain6", "Spain6", "SPA-SP", Language.DEFAULT()));
 		voc.addTerm(area3);
 		voc.addTerm(area4);
@@ -162,7 +159,7 @@ public class TdwgAreaTest {
 
 //	@Test
 //	public void getHirarchichalAreasTest(){
-//		//NamedArea area0 = TdwgArea.getAreaByTdwgLabel("Spain"); 
+//		//NamedArea area0 = getAreaByTdwgLabel("Spain"); 
 //		//System.out.println(area0.getLabel().toString());
 //		//NamedArea partof = area0.getPartOf();
 //		//System.out.println(partof.getLevel().getLabel());
@@ -179,17 +176,17 @@ public class TdwgAreaTest {
 //		
 //		//creating and filling the list
 //		List<NamedArea> areaList = new ArrayList<NamedArea>();
-//		NamedArea area1 = TdwgArea.getAreaByTdwgLabel("Spain");
+//		NamedArea area1 = getAreaByTdwgLabel("Spain");
 //		areaList.add(area1);
-//		NamedArea area2 = TdwgArea.getAreaByTdwgLabel("Germany");
+//		NamedArea area2 = getAreaByTdwgLabel("Germany");
 //		areaList.add(area2);
-//		NamedArea area3 = TdwgArea.getAreaByTdwgLabel("France");
+//		NamedArea area3 = getAreaByTdwgLabel("France");
 //		areaList.add(area3);
-//		NamedArea area4 = TdwgArea.getAreaByTdwgLabel("Italy");
+//		NamedArea area4 = getAreaByTdwgLabel("Italy");
 //		areaList.add(area4);
-//		NamedArea area5 = TdwgArea.getAreaByTdwgLabel("Croatia");
+//		NamedArea area5 = getAreaByTdwgLabel("Croatia");
 //		areaList.add(area5);
-//		NamedArea area6 = TdwgArea.getAreaByTdwgLabel("Portugal");
+//		NamedArea area6 = getAreaByTdwgLabel("Portugal");
 //		areaList.add(area6);
 //		
 //		//System.out.println(areaListToString(areaList));
@@ -208,11 +205,11 @@ public class TdwgAreaTest {
 //		System.out.println(tree.toString());
 //		
 //		List<NamedArea> areaList2 = new ArrayList<NamedArea>();
-//		NamedArea area7 = TdwgArea.getAreaByTdwgLabel("Chita");
+//		NamedArea area7 = getAreaByTdwgLabel("Chita");
 //		areaList2.add(area7);
-//		NamedArea area8 = TdwgArea.getAreaByTdwgLabel("Buryatiya");
+//		NamedArea area8 = getAreaByTdwgLabel("Buryatiya");
 //		areaList2.add(area8);
-//		NamedArea area9 = TdwgArea.getAreaByTdwgLabel("Philippines");
+//		NamedArea area9 = getAreaByTdwgLabel("Philippines");
 //		areaList2.add(area9);
 //		
 //		tree.merge(areaList2, omitLevels);
@@ -283,9 +280,17 @@ public class TdwgAreaTest {
 	}
 	
 	
-		
+	private NamedArea getAreaByTdwgAbbreviation(String tdwgAbbrev){
+		return NamedArea.getAreaByTdwgAbbreviation(tdwgAbbrev);
+	}
 
+	private NamedArea getAreaByTdwgLabel(String tdwgLabel){
+		return NamedArea.getAreaByTdwgLabel(tdwgLabel);
+	}
 	
+	private boolean isTdwgAreaLabel(String tdwgLabel){
+		return NamedArea.isTdwgAreaLabel(tdwgLabel);
+	}
 
 	
 }
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/media/MediaTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/media/MediaTest.java
index 6b822d6552..315fad658a 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/media/MediaTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/media/MediaTest.java
@@ -84,7 +84,7 @@ public class MediaTest {
         media1.setMediaCreated(new DateTime(2002, 1,1,0,0,0,0));
         languageString1 = LanguageString.NewInstance("media1Desc", Language.DEFAULT());
         media1.addDescription(languageString1);
-        media1.addDescription("media1Desc2", Language.GERMAN());
+        media1.putDescription(Language.GERMAN(), "media1Desc2");
         mediaRepresentation1 = MediaRepresentation.NewInstance();
         mediaRepresentation2 = MediaRepresentation.NewInstance();
         mediaRepresentation1.setMimeType("MimeType1");
@@ -246,9 +246,9 @@ public class MediaTest {
     public void testAddDescriptionStringLanguage() {
         Assert.assertTrue("Clone must have a german language description", media1.getAllDescriptions().containsKey(Language.GERMAN()));
         Assert.assertSame("Description1 must be the same", "media1Desc2", media1.getAllDescriptions().get(Language.GERMAN()).getText() );
-        media1.addDescription("testDesc", Language.DEFAULT());
+        media1.putDescription(Language.DEFAULT(), "testDesc");
         Assert.assertEquals("Number of descriptions must be 2", 2, media1.getAllDescriptions().size() );
-        media1.addDescription("testDesc2", Language.DEFAULT());
+        media1.putDescription(Language.DEFAULT(), "testDesc2");
         Assert.assertEquals("Number of descriptions must be 2", 2, media1.getAllDescriptions().size() );
         Assert.assertSame("Default language description must be 'testDesc2'", "testDesc2", media1.getAllDescriptions().get(Language.DEFAULT()).getText() );
     }
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/metadata/CdmMetaDataTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/metadata/CdmMetaDataTest.java
new file mode 100644
index 0000000000..0cb4ecbce1
--- /dev/null
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/metadata/CdmMetaDataTest.java
@@ -0,0 +1,157 @@
+// $Id$
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy 
+* http://www.e-taxonomy.eu
+* 
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.model.metadata;
+
+import static org.junit.Assert.*;
+
+import java.util.List;
+
+import org.junit.Assert;
+
+import org.junit.Before;
+import org.junit.Test;
+
+import eu.etaxonomy.cdm.model.metadata.CdmMetaData;
+
+/**
+ * @author e.-m.lee
+ * @date 09.03.2010
+ *
+ */
+public class CdmMetaDataTest {
+
+	/**
+	 * @throws java.lang.Exception
+	 */
+	@Before
+	public void setUp() throws Exception {
+	}
+
+	/**
+	 * Test method for {@link eu.etaxonomy.cdm.model.metadata.CdmMetaData#getSchemaVersion()}.
+	 */
+	@Test
+	public void testGetSchemaVersion() {
+		//TODO
+	}
+
+	/**
+	 * Test method for {@link eu.etaxonomy.cdm.model.metadata.CdmMetaData#propertyList()}.
+	 */
+	@Test
+	public void testPropertyList() {
+		List<CdmMetaData> propList = CdmMetaData.propertyList();
+		assertNotNull(propList);
+	}
+
+	/**
+	 * Test method for {@link eu.etaxonomy.cdm.model.metadata.CdmMetaData#CdmMetaData(eu.etaxonomy.cdm.model.metadata.CdmMetaData.MetaDataPropertyName, java.lang.String)}.
+	 */
+	@Test
+	public void testCdmMetaData() {
+		//TODO
+	}
+
+	/**
+	 * Test method for {@link eu.etaxonomy.cdm.model.metadata.CdmMetaData#getPropertyName()}.
+	 */
+	@Test
+	public void testGetPropertyName() {
+		//TODO
+	}
+
+	/**
+	 * Test method for {@link eu.etaxonomy.cdm.model.metadata.CdmMetaData#setPropertyName(eu.etaxonomy.cdm.model.metadata.CdmMetaData.MetaDataPropertyName)}.
+	 */
+	@Test
+	public void testSetPropertyName() {
+		//TODO
+	}
+
+	/**
+	 * Test method for {@link eu.etaxonomy.cdm.model.metadata.CdmMetaData#getValue()}.
+	 */
+	@Test
+	public void testGetValue() {
+		//TODO
+	}
+
+	/**
+	 * Test method for {@link eu.etaxonomy.cdm.model.metadata.CdmMetaData#setValue(java.lang.String)}.
+	 */
+	@Test
+	public void testSetValue() {
+		//TODO
+	}
+
+	/**
+	 * Test method for {@link eu.etaxonomy.cdm.model.metadata.CdmMetaData#getCurrentSchemaVersion(int)}.
+	 */
+	@Test
+	public void testGetDbSchemaVersion() {
+		String strSchemaVersion = CdmMetaData.getDbSchemaVersion();
+		assertNotNull(strSchemaVersion);
+		int indexFirst = strSchemaVersion.indexOf(".");
+		int indexLast = strSchemaVersion.lastIndexOf(".");
+		assertTrue(indexFirst >0 );
+		assertTrue("DB schema version is not in the correct format", indexLast == 7);
+	}
+
+	/**
+	 * Test method for {@link eu.etaxonomy.cdm.model.metadata.CdmMetaData#getDatabaseSchemaVersion(java.util.Map, int)}.
+	 */
+	@Test
+	public void testGetDatabaseSchemaVersion() {
+		//TODO
+	}
+	
+	@Test
+	public void testCompareVersion(){
+		String version1 = "2.1.2.5.12343244234";
+		String version2 = "2.1.3.5.11654354355";
+		String version3 = "2.1.2";
+		
+		int compare = CdmMetaData.compareVersion(version1, version2, 4, null);
+		Assert.assertEquals("Result should be -1", -1, compare);
+		
+		compare = CdmMetaData.compareVersion(version2, version1, 4, null);
+		Assert.assertEquals("Result should be 1", 1, compare);
+		
+		compare = CdmMetaData.compareVersion(version2, version1, 2, null);
+		Assert.assertEquals("Result should be 0", 0, compare);
+		
+		compare = CdmMetaData.compareVersion(version2, version1, null, null);
+		Assert.assertEquals("Result should be 1", 1, compare);
+		
+		compare = CdmMetaData.compareVersion(version1, version3, 3, null);
+		Assert.assertEquals("Result should be 0", 0, compare);
+		
+		boolean exception = false;
+		try{
+			compare = CdmMetaData.compareVersion("test", version1, null, null);
+		}catch(RuntimeException e){
+			exception = true;
+		}
+		
+		Assert.assertTrue("Should have thrown an exception on incorrect input values", exception);
+		exception = false;
+		
+		try{
+			compare = CdmMetaData.compareVersion(version1, version2, 7, null);
+		}catch(RuntimeException e){
+			exception = true;
+		}
+		
+		Assert.assertTrue("Should have thrown an exception on incompatible depth", exception);
+		exception = false;
+		
+	}
+
+}
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/metadata/CdmPreferenceTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/metadata/CdmPreferenceTest.java
new file mode 100644
index 0000000000..660b116d8e
--- /dev/null
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/metadata/CdmPreferenceTest.java
@@ -0,0 +1,105 @@
+// $Id$
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy 
+* http://www.e-taxonomy.eu
+* 
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.model.metadata;
+
+import org.junit.Assert;
+import org.junit.Before;
+import org.junit.Test;
+
+import eu.etaxonomy.cdm.model.metadata.CdmPreference;
+
+/**
+ * @author a.mueller
+ * @created 2013-07-03
+ *
+ */
+public class CdmPreferenceTest {
+
+	private String subject;
+	private String predicate;
+	private String value;
+	
+	/**
+	 * @throws java.lang.Exception
+	 */
+	@Before
+	public void setUp() throws Exception {
+		subject = "database";
+		predicate = "eu.etaxonomy.cdm.model.name.NomenclaturalCode";
+		value = "ICZN";
+	}
+
+	/**
+	 * Test method for {@link eu.etaxonomy.cdm.model.metadata.CdmPreference#CdmPreferences(java.lang.String, java.lang.String, java.lang.String)}.
+	 */
+	@Test
+	public void testCdmPreferences() {
+		CdmPreference prefs = new CdmPreference(subject, predicate, value);
+		Assert.assertEquals(subject, prefs.getSubject());
+		Assert.assertEquals(predicate, prefs.getPredicate());
+		Assert.assertEquals(value, prefs.getValue());
+	}
+	
+	 
+	@Test
+	public void testConstraints() {
+		String veryLongText100 = 
+"This is a very long text it is even longer then any other long text which is already long. size =100";
+		String veryLongText200 = veryLongText100 + veryLongText100;
+		String veryLongText400 = veryLongText200 + veryLongText200;
+		String veryLongText1200 = veryLongText400 + veryLongText400 + veryLongText400;
+		
+		CdmPreference prefs = null;
+		try {
+			prefs = new CdmPreference(null, predicate, value);
+			Assert.fail("Subject must not be null");
+		} catch (Exception e) {
+			//ok
+		}
+		try {
+			prefs = new CdmPreference(veryLongText400, predicate, value);
+			Assert.fail("Subject must not be longer then 255");
+		} catch (Exception e) {
+			//ok
+		}
+		
+		try {
+			prefs = new CdmPreference(subject, null, value);
+			Assert.fail("Predicate must not be null");
+		} catch (Exception e) {
+			//ok
+		}
+		try {
+			prefs = new CdmPreference(subject, veryLongText400, value);
+			Assert.fail("Predicate must not be longer then 255");
+		} catch (Exception e) {
+			//ok
+		}
+		
+		try {
+			prefs = new CdmPreference(subject, predicate, null);
+		} catch (Exception e) {
+			Assert.fail("Currently null values are allowed in preferences");
+			Assert.assertEquals(subject, prefs.getSubject());
+			Assert.assertEquals(predicate, prefs.getPredicate());
+			Assert.assertNull(value, null);
+		}
+		try {
+			prefs = new CdmPreference(subject, predicate, veryLongText1200);
+			Assert.fail("Value must not be longer then 1023");
+		} catch (Exception e) {
+			//ok
+		}
+		
+		
+
+	}
+
+}
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/metadata/PreferenceSubjectTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/metadata/PreferenceSubjectTest.java
new file mode 100644
index 0000000000..0fe00363af
--- /dev/null
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/metadata/PreferenceSubjectTest.java
@@ -0,0 +1,48 @@
+// $Id$
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.model.metadata;
+
+import static org.junit.Assert.*;
+
+import org.junit.Test;
+
+import eu.etaxonomy.cdm.model.metadata.PreferenceSubject;
+
+public class PreferenceSubjectTest {
+
+	@Test
+	public void test() {
+		PreferenceSubject databaseType = PreferenceSubject.Database;
+		assertEquals(PreferenceSubject.getByKey("DB"), databaseType);
+	}
+	
+	@Test
+	public void testKindOf(){
+		assertSame(PreferenceSubject.Database, PreferenceSubject.Classification.getKindOf());
+		assertSame(PreferenceSubject.Classification, PreferenceSubject.TaxonSubTree.getKindOf());
+	}
+	
+	@Test
+	public void testGeneralisationOf(){
+		assertTrue(PreferenceSubject.Database.getGeneralizationOf().contains(PreferenceSubject.Classification));
+		assertFalse("generalisationOf may contain only contain only direct children, but taxonSubTree is a grandchild",
+				PreferenceSubject.Database.getGeneralizationOf().contains(PreferenceSubject.TaxonSubTree));	
+	}
+	
+	@Test
+	public void testGeneralisationOfRecursive(){
+		boolean recursive = true;
+		assertTrue(PreferenceSubject.Database.getGeneralizationOf(recursive).contains(PreferenceSubject.Classification));
+		assertTrue(PreferenceSubject.Database.getGeneralizationOf(recursive).contains(PreferenceSubject.TaxonSubTree));
+		assertFalse(PreferenceSubject.Database.getGeneralizationOf(!recursive).contains(PreferenceSubject.TaxonSubTree));		
+	}
+	
+
+}
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/molecular/MolecularTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/molecular/MolecularTest.java
index cb8e9ee3ae..f15f1f17a6 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/molecular/MolecularTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/molecular/MolecularTest.java
@@ -1,17 +1,16 @@
 package eu.etaxonomy.cdm.model.molecular;
 
-import static org.junit.Assert.assertEquals;
+import static org.junit.Assert.assertNotNull;
 import static org.junit.Assert.assertNotSame;
 import static org.junit.Assert.assertTrue;
 
-import java.util.Iterator;
-
 import org.apache.log4j.Logger;
 import org.junit.Before;
 import org.junit.BeforeClass;
 import org.junit.Test;
 
 import eu.etaxonomy.cdm.model.common.DefaultTermInitializer;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.LanguageString;
 import eu.etaxonomy.cdm.model.media.Media;
@@ -22,7 +21,7 @@ public class MolecularTest {
 	private static Logger logger = Logger.getLogger(MolecularTest.class);
 
 	private DnaSample dnaSample;
-	private Locus locus;
+	private DefinedTerm marker;
 	private PhylogeneticTree phyloTree;
 	private Sequence seq;
 	
@@ -41,24 +40,24 @@ public class MolecularTest {
 		dnaSample = DnaSample.NewInstance();
 		seq = new Sequence();
 		
-		seq.setBarcode(true);
-		seq.setSequence("ATTGCCATCG");
+//		seq.setBarcode(true);
+		seq.getConsensusSequence().setString("ATTGCCATC");
 		
-		GenBankAccession genBankAccession = GenBankAccession.NewInstance("12393247");
-		seq.addGenBankAccession(genBankAccession );
+		seq.setGeneticAccessionNumber("HM347273");
+//		seq.setGenBankUri(URI.create("http://www.abc.de"));
 		Media chromatogram = Media.NewInstance();
 		chromatogram.putTitle(LanguageString.NewInstance("chromatogram", Language.ENGLISH()));
-		seq.addChromatogram(chromatogram);
+//		seq.addChromatogram(chromatogram);
 		
 		Sequence otherSeq = Sequence.NewInstance("CATCGAGTTGC");
 		
-		otherSeq.setBarcode(true);
-		dnaSample.addSequences(seq);
-		dnaSample.addSequences(otherSeq);
+		otherSeq.getBarcodeSequencePart().setString("ATTGCC");
+		dnaSample.addSequence(seq);
+		dnaSample.addSequence(otherSeq);
 		
-		locus= Locus.NewInstance("Test", "test locus");
+		marker = DefinedTerm.NewDnaMarkerInstance("Test", "test marker", null);
 		
-		phyloTree =new PhylogeneticTree();
+		phyloTree = PhylogeneticTree.NewInstance();
 		phyloTree.addUsedSequences(seq);
 		phyloTree.addUsedSequences(otherSeq);
 	}
@@ -76,28 +75,20 @@ public class MolecularTest {
 		
 		
 		Sequence sequenceClone = (Sequence)seq.clone();
-		assertEquals(sequenceClone.getChromatograms().iterator().next().getAllTitles().get(0),seq.getChromatograms().iterator().next().getAllTitles().get(0));
-		
-		Iterator<Media> mediaIteratorClone = sequenceClone.getChromatograms().iterator();
-		Iterator<Media> mediaIterator = sequenceClone.getChromatograms().iterator();
-		Media test = (Media)mediaIterator.next();
-		LanguageString title = test.getTitle(Language.ENGLISH());
-		test = (Media)mediaIteratorClone.next();
-		LanguageString titleClone = test.getTitle(Language.ENGLISH());		
-		assertEquals(title, titleClone);
-		
-		
-		
-		assertTrue (sequenceClone.getGenBankAccession().size() == seq.getGenBankAccession().size());
-		
-		Iterator<GenBankAccession> genBankAccessionIteratorClone = sequenceClone.getGenBankAccession().iterator();
-		Iterator<GenBankAccession> genBankAccessionIterator = seq.getGenBankAccession().iterator();
-		GenBankAccession genBankAccession = (GenBankAccession)genBankAccessionIterator.next();
-		String numberStr = genBankAccession.getAccessionNumber();
-		GenBankAccession genBankAccessionClone = (GenBankAccession)genBankAccessionIteratorClone.next();
-		String numberStrClone = genBankAccessionClone.getAccessionNumber();	
-		assertEquals(numberStr, numberStrClone);
-		assertNotSame(genBankAccession, genBankAccessionClone);
+//		assertEquals(sequenceClone.getChromatograms().iterator().next().getAllTitles().get(0),seq.getChromatograms().iterator().next().getAllTitles().get(0));
+//		
+//		Iterator<Media> mediaIteratorClone = sequenceClone.getChromatograms().iterator();
+//		Iterator<Media> mediaIterator = seq.getChromatograms().iterator();
+//		Media test = (Media)mediaIterator.next();
+//		LanguageString title = test.getTitle(Language.ENGLISH());
+//		test = (Media)mediaIteratorClone.next();
+//		LanguageString titleClone = test.getTitle(Language.ENGLISH());		
+//		assertEquals(title, titleClone);
+		
+		
+		assertTrue (sequenceClone.getGeneticAccessionNumber().equals(seq.getGeneticAccessionNumber()));
+		assertNotNull(sequenceClone.getGenBankUri());
+		assertTrue (sequenceClone.getGenBankUri().equals(seq.getGenBankUri()));
 		
 		DnaSample dnaSampleClone = (DnaSample)dnaSample.clone();
 		Sequence[] seqArray = new Sequence[dnaSample.getSequences().size()];
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/name/NameTypeDesignationStatusTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/name/NameTypeDesignationStatusTest.java
index 1bacfafd82..08bcad93c8 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/name/NameTypeDesignationStatusTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/name/NameTypeDesignationStatusTest.java
@@ -47,12 +47,6 @@ public class NameTypeDesignationStatusTest extends EntityTestBase {
 		vocabularyStore.initialize();
 	}
 	
-	@Test
-	public void testNameTypeDesignationStatus() {
-		NameTypeDesignationStatus term = new NameTypeDesignationStatus();
-		assertNotNull(term);
-	}
-	
 	@Test
 	public void testNameTypeDesignationStatusStringString() {
 		NameTypeDesignationStatus term = new NameTypeDesignationStatus("term", "label", null);
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/name/NomenclaturalStatusTypeTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/name/NomenclaturalStatusTypeTest.java
index 2f8aa59209..a0a95c9847 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/name/NomenclaturalStatusTypeTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/name/NomenclaturalStatusTypeTest.java
@@ -25,13 +25,13 @@ import eu.etaxonomy.cdm.test.unit.EntityTestBase;
 /**
  * @author a.babadshanjan
  * @created 25.03.2009
- * @version 1.0
  */
 public class NomenclaturalStatusTypeTest extends EntityTestBase {
-	private static final Logger logger = Logger
-			.getLogger(NomenclaturalStatusTypeTest.class);
+	@SuppressWarnings("unused")
+	private static final Logger logger = Logger.getLogger(NomenclaturalStatusTypeTest.class);
 
 	private static final UUID uuidDoubtful = UUID.fromString("0ffeb39e-872e-4c0f-85ba-a4150d9f9e7d");
+	private static final UUID uuidCombNov = UUID.fromString("ed508710-deef-44b1-96f6-1ce6d2c9c884");
 
 	@BeforeClass
 	public static void setUp() {
@@ -39,15 +39,9 @@ public class NomenclaturalStatusTypeTest extends EntityTestBase {
 		vocabularyStore.initialize();
 	}
 	
-	@Test
-	public void testNomenclaturalStatusType() {
-		NomenclaturalStatusType term = new NomenclaturalStatusType();
-		assertNotNull(term);
-	}
-	
 	@Test
 	public void testNomenclaturalStatusTypeStringString() {
-		NomenclaturalStatusType term = new NomenclaturalStatusType("term", "label", null);
+		NomenclaturalStatusType term = NomenclaturalStatusType.NewInstance   ("term", "label", null);
 		assertEquals("label", term.getLabel());
 	}
 	
@@ -55,4 +49,10 @@ public class NomenclaturalStatusTypeTest extends EntityTestBase {
 	public void testDOUBTFUL() {
 		assertEquals(uuidDoubtful,  NomenclaturalStatusType.DOUBTFUL().getUuid());	
 	}
+	
+	
+	@Test
+	public void testCombNov() {
+		assertEquals(uuidCombNov,  NomenclaturalStatusType.COMB_NOV().getUuid());	
+	}
 }
